#
# spec file for package python-cachetools
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cachetools
Version:        4.1.0
Release:        150200.3.4.1
Summary:        Extensible memoizing collections and decorators
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tkem/cachetools
Source:         https://files.pythonhosted.org/packages/source/c/cachetools/cachetools-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library `@lru_cache`_
function decorator.

%prep
%setup -q -n cachetools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 29 2020 dmueller@suse.com
- update to 4.1.0:
  - Support ``user_function`` with ``cachetools.func`` decorators
    (Python 3.8 compatibility).
  - Support ``cache_parameters()`` with ``cachetools.func`` decorators
    (Python 3.9 compatibility).
* Fri Jan 24 2020 mcalabkova@suse.com
- update to 4.0.0
  * Require Python 3.5 or later.
* Fri Sep 13 2019 tchvatal@suse.com
- Update to 3.1.1:
  * Document how to use shared caches with @cachedmethod.
  * Fix pickling/unpickling of cache keys
* Wed Feb 27 2019 tbechtold@suse.com
- update to 3.1.0:
  - Fix Python 3.8 compatibility issue.
  - Use ``time.monotonic`` as default timer if available.
  - Improve documentation regarding thread safety.
  - Officially support Python 3.7.
  - Drop Python 3.3 support (breaking change).
  - Remove ``missing`` cache constructor parameter (breaking change).
  - Remove ``self`` from ``@cachedmethod`` key arguments (breaking
    change).
  - Add support for ``maxsize=None`` in ``cachetools.func`` decorators.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Aug 16 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 2.0.1
  * Officially support Python 3.6.
  * Move documentation to RTD.
  * Documentation: Update import paths for key functions
    (courtesy of slavkoja).
* Thu Jun  1 2017 dmueller@suse.com
- update to 2.0.0:
  - Drop Python 3.2 support (breaking change).
  - Drop support for deprecated features (breaking change).
  - Move key functions to separate package (breaking change).
  - Accept non-integer ``maxsize`` in ``Cache.__repr__()``.
* Tue Aug 30 2016 tbechtold@suse.com
- update to 1.1.6:
  - Reimplement ``LRUCache`` and ``TTLCache`` using
    ``collections.OrderedDict``.  Note that this will break pickle
    compatibility with previous versions.
  - Fix ``TTLCache`` not calling ``__missing__()`` of derived classes.
  - Handle ``ValueError`` in ``Cache.__missing__()`` for consistency
    with caching decorators.
  - Improve how ``TTLCache`` handles expired items.
  - Use ``Counter.most_common()`` for ``LFUCache.popitem()``.
  - Refactor ``Cache`` base class.  Note that this will break pickle
    compatibility with previous versions.
  - Clean up ``LRUCache`` and ``TTLCache`` implementations.
  - Refactor ``LRUCache`` and ``TTLCache`` implementations.  Note that
    this will break pickle compatibility with previous versions.
  - Document pending removal of deprecated features.
  - Minor documentation improvements.
  - Fix pickle tests.
  - Fix pickling of large ``LRUCache`` and ``TTLCache`` instances.
  - Improve key functions.
  - Improve documentation.
  - Improve unit test coverage.
  - Add ``@cached`` function decorator.
  - Add ``hashkey`` and ``typedkey`` fuctions.
  - Add `key` and `lock` arguments to ``@cachedmethod``.
  - Set ``__wrapped__`` attributes for Python versions < 3.2.
  - Move ``functools`` compatible decorators to ``cachetools.func``.
  - Deprecate ``@cachedmethod`` `typed` argument.
  - Deprecate `cache` attribute for ``@cachedmethod`` wrappers.
  - Deprecate `getsizeof` and `lock` arguments for `cachetools.func`
    decorator.
- Use pypi.io as Source url
* Thu Jul  9 2015 dmueller@suse.com
- Initial package (1.0.3)
